py_syscalls.d(1m)

NAME
py_syscalls.d - count Python function calls and syscalls using DTrace.

SYNOPSIS
py_syscalls.d { -p PID | -c cmd }

DESCRIPTION
Filename and function names are printed if available. The filename for syscalls may be printed as "python", if the program was invoked using the form "python filename" rather than running the program with an interpreter line.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_syscalls.d

FIELDS

FILE
    Filename of the Python program

TYPE
    Type of call (func/syscall)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_syscalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)